Kodi Community Forum

Full Version: YouTube
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Hi,

I'm using kodi matrix 18.9 (nightly) on RPi3 with Youtube addon 6.8.15 With my own API Keys. YouTube now refuses to play music videos as of today. Looking in the log it throws up an error 403. Other non-music videos play just fine.
(2021-07-27, 20:33)Koentinius Wrote: [ -> ]Hi,

I'm using kodi matrix 18.9 (nightly) on RPi3 with Youtube addon 6.8.15 With my own API Keys. YouTube now refuses to play music videos as of today. Looking in the log it throws up an error 403. Other non-music videos play just fine.

It seems to have resolved itself, it works again. I would edit or delete my post but apparently I'm not allowed to
I just updated Kodi from Leia to 19.1 and I uninstalled the old YouTube addon repos and installed the Matrix ones, but the only thing I can find in them is the repo itself. I don't see the actual YouTube addon. I could always install and update from the repos before. Am I doing something wrong or are the repos no longer supported under Matrix
(2021-07-28, 16:41)arsMOBILIS Wrote: [ -> ]I just updated Kodi from Leia to 19.1 and I uninstalled the old YouTube addon repos and installed the Matrix ones, but the only thing I can find in them is the repo itself. I don't see the actual YouTube addon. I could always install and update from the repos before. Am I doing something wrong or are the repos no longer supported under Matrix

Just install the Youtube Addon zip file (see post #2 in this thread). Be sure to download the correct one.
Is there any way to force the use of IPv6 when both IPv4 and IPv6 are available?
I'm using Linux, in case it's an OS thing.
(2021-08-01, 09:48)pepetrueno Wrote: [ -> ]Is there any way to force the use of IPv6 when both IPv4 and IPv6 are available?
I'm using Linux, in case it's an OS thing.
How this question is related to the addon discussed in this thread?

Unless you tweak a setting in a certain file linux always prefers ipv6 over ipv4 if both are available. Actually all major OSes do.
(2021-07-28, 17:25)blueribb Wrote: [ -> ]
(2021-07-28, 16:41)arsMOBILIS Wrote: [ -> ]I just updated Kodi from Leia to 19.1 and I uninstalled the old YouTube addon repos and installed the Matrix ones, but the only thing I can find in them is the repo itself. I don't see the actual YouTube addon. I could always install and update from the repos before. Am I doing something wrong or are the repos no longer supported under Matrix

Just install the Youtube Addon zip file (see post #2 in this thread). Be sure to download the correct one.
Yeah thanks, I know about that and had already installed the latest unofficial version when I posted my question, but doing it that way prevents automatic update notifications. It means you always have to manually download and install updates.
Hi.
I have a Pi running OSMC and after upgrading it to Kodi 19.1 i cannot install the Youtube Plugin.
I tried from the repository and with plugin.video.youtube-6.8.15+matrix.1.zip and plugin.video.youtube-unofficial-6.8.15+matrix.1.zip.
All of them give me the message: "The Add-on is not compatible with this version of Kodi. The dependency of xbmc.python version 2.14.0 could not be satisfied."

Any Ideas what this could be?
You're trying to install a Python2 (Leia and previous version of Kodi) addon onto Matrix, which only supports Python3.

If OSMC doesn't yet have a Matrix version of YouTube available, try one of the testing/unofficial repos from @anxdpanic - https://panicked.xyz/repositories/matrix/
Hey there:

I just updated my Pi to the new Kodi version - installed the YouTube app and I'm getting an error LoginException:[401] invalid_client ... says the ClientId is incorrect ... I haven't logged in yet so I'm not sure what to do to change it

EDIT: figured out how to add API keys (the skin I'm using requires me to use the scroll wheel to get to the API menu - just clicking on the > doesn't move it) ... sorry for any inconvenience but maybe someone else with the scroll wheel issue will see this and realize why they can't access the settings screen for API - the skin I'm using is Confluence btw
now that I'm logged into my account after the Kodi update ... I don't have an entry for Watch Later in my list ;-(

I was here a few months or so ago when the Watch Later feature stopped working and found a fix for it but now have NO IDEA where to find it in 61 pages of posts ... did a search for Watch Later but the snippets that come up are seemingly impossible to tell what post I'm trying to find 

does anyone have a quick link to the post in question and I'll bookmark it this time ;-) ... thanks
(2021-08-09, 13:16)xenophrenia Wrote: [ -> ]now that I'm logged into my account after the Kodi update ... I don't have an entry for Watch Later in my list ;-(

I was here a few months or so ago when the Watch Later feature stopped working and found a fix for it but now have NO IDEA where to find it in 61 pages of posts ... did a search for Watch Later but the snippets that come up are seemingly impossible to tell what post I'm trying to find 

does anyone have a quick link to the post in question and I'll bookmark it this time ;-) ... thanks

Doing a search "Watch Later playlist" on this thread gave me this.

jonib
6.8.16
[fix] Calculate n parameter to enable rate bypass
[lang] translation updates from Webplate

Will install and let you know how I get on.
This is for non Matrix.
(2021-08-09, 13:27)jonib Wrote: [ -> ]
(2021-08-09, 13:16)xenophrenia Wrote: [ -> ]now that I'm logged into my account after the Kodi update ... I don't have an entry for Watch Later in my list ;-(

I was here a few months or so ago when the Watch Later feature stopped working and found a fix for it but now have NO IDEA where to find it in 61 pages of posts ... did a search for Watch Later but the snippets that come up are seemingly impossible to tell what post I'm trying to find 

does anyone have a quick link to the post in question and I'll bookmark it this time ;-) ... thanks

Doing a search "Watch Later playlist" on this thread game me this.

jonib

Thanks ... have bookmarked in case I find a need for this fix in the future and don't have to ask again ;-)
Having some problems with the plugin. First time I tried it and have followed the instructions how to generate api-keys etc. So that one is sorted, I think.

Problem is many videos wont play? Some work, some dont and I get en error message..

Would be happy if anyone can look at my log?

https://paste.kodi.tv/ajoqexekek.kodi